<?php
/*
 * DaPhpBouchot / ajax.php
 *  2002-06 Alexandre Janon <alex14fr@yahoo.fr>
 */

require_once("lib/xajax.inc.php");

$xajax=new xajax();

include "lib.php";
include "version.php";

$xajax->decodeUTF8InputOn();
$xajax->registerFunction("update_histo");
$xajax->registerFunction("post");

function update_histo() {
	$resp=new xajaxResponse();
	$f=fopen("trib-cache.html","r");
	$contents = '';
	while (!feof($f)) {
		$contents .= fread($f,8192);
	}
	fclose($f); 
	$resp->addAssign("historique","innerHTML",$contents);
	return $resp;
}

function post($msg) {
	post_add($msg);
	$resp=new xajaxResponse();
	$resp->addAssign("message","value","");
	$resp->addScript("xajax_update_histo()");
	return $resp;
}

$xajax->processRequests();

html_head("Historique");
?>
<script type="text/javascript">
	function append(str) {
		var box=document.getElementById('message');
		box.value += str;
		box.focus();
	}
	function poster() {
		document.getElementById('postbtn').disabled=true;
		xajax_post(document.getElementById('message').value);
		document.getElementById('postbtn').disabled=false;
	}
	function rafraichir() {
		document.getElementById('rafbtn').disabled=true;
		xajax_update_histo();
		document.getElementById('rafbtn').disabled=false;
	}
	function info(id) { xajax_info(id); }
</script>

<div class="header">
	<h1><?php echo $sitename ?></h1>
	<?php echo $htmlhead ?>
</div>

<?php user_box(); ?>

	<div class="hist" id="historique"></div> 
	<div>
	<form onSubmit="poster();return false;">
	<input class="zoneecriture" type="text" id="message" size="50"name="message"/> 
	<span onclick="append('<b></b>')"><b>&nbsp;B&nbsp;</b></span>|
	<span onclick="append('<i></i>')"><i>&nbsp;I&nbsp;</i></span>|
	<span onclick="append('<u></u>')"><u>&nbsp;U&nbsp;</u></span>|
	<span onclick="append('<s></s>')"><s>&nbsp;S&nbsp;</s></span>|
	<span onclick="append('<tt></tt>')"><tt>&nbsp;TT&nbsp;</tt></span>
	<input type="button" id="postbtn" value="Poster" onclick="poster()">
	<input type="button" id="rafbtn" onclick="rafraichir()" value="Rafrachir"/>
	</p></form>
	</div>
	<div class="footer">
	<?php echo $htmlfoot; ?>
	| Version <?php echo $version ?>. 
	</div>
</body>
</html>

