<?php
/*
 * DaPhpBouchot / lib.html.php
 * (c) 2002-06 Alexandre Janon <alex14fr at yahoo dot fr>
 */

function html_head($title) {
	global $sitename;
	global $styles;
	global $defaultstyle;
	global $xajax;

	echo "<?";
?>
xml version="1.0" encoding="ISO-8859-15">
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php echo $sitename ?> :: <?php echo $title ?></title>
		<?php if($xajax) print $xajax->printJavascript(); ?>
		<?php
		if(!$_COOKIE["DPBstyle"]) $sty=$defaultstyle; else $sty=$_COOKIE["DPBstyle"];
		echo "<link rel=\"stylesheet\" href=\"css/$sty\" type=\"text/css\"/>\n";
		if($styles)
		  foreach($styles as $url => $desc)
		    echo "<link rel=\"alternate stylesheet\" type=\"text/css\" href=\"css/$url\" title=\"$desc\"/>\n";
		?>	
	</head>
	<?php if($xajax) print "<body onload=\"rafraichir()\">"; else print "<body>"; ?>
<?php
}

function setstyle_form() {
	global $styles;
	$out .= "<form style=\"display:inline\" action=\"setstyle.php\">Style: <select name=\"style\">\n";
	foreach($styles as $url => $desc) {
		$sel = "";
		if(!strcmp($url,$_COOKIE["DPBstyle"])) $sel .= "selected=\"selected\"";
		$out .= "<option $sel value=\"$url\">$desc</option>\n";
	}
	$out .= "\n</select>\n <input type=\"submit\" value=\"OK\"/></form>\n\n";
	return $out;
}

?>
